%define gcj_support	1
%define short_name      logkit
%define short_Name      LogKit
%define name		avalon-%{short_name}
%define version		1.2
%define release		3.3
%define	section		free
#%define use_nonfree	%{?_with_nonfree:1}%{!?_without_nonfree:0}
%define use_nonfree	0

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}

Summary:	Java logging toolkit
License:	Apache License
Group:		Development/Java
#Distribution:	JPackage
#Vendor:		JPackage Project
Url:		http://avalon.apache.org/%{short_name}/
Source0:	http://jakarta.apache.org/builds/jakarta-avalon/release/logkit/latest/LogKit-1.2-src.tar.bz2
Patch0:		%{name}-build.patch.bz2
Patch1:         %{name}-doclet.patch.bz2
Requires:	avalon-framework >= 0:4.1.4
Requires:	servlet
%if %{use_nonfree}
Requires:	jms
%endif
Requires:	jdbc-stdext
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant
BuildRequires:  avalon-framework-javadoc
BuildRequires:  javamail
BuildRequires:  java-javadoc
BuildRequires:  junit
BuildRequires:  log4j
BuildRequires:	avalon-framework >= 0:4.1.4
BuildRequires:	servlet
%if %{use_nonfree}
BuildRequires:	jms
%endif
BuildRequires:	jdbc-stdext
%if %{gcj_support}
BuildRequires:	java-gcj-compat-devel
Requires(post):	java-gcj-compat
Requires(postun): java-gcj-compat
%else
BuildArch:	noarch
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
LogKit is a logging toolkit designed for secure performance orientated
logging in applications. To get started using LogKit, it is recomended
that you read the whitepaper and browse the API docs.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{short_Name}-%{version}
%patch0 -p0
%patch1 -p1
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
%{__perl} -pi -e 's/1\.2/1\.4/g' build.xml

%build
%if %{use_nonfree}
export CLASSPATH=$(build-classpath log4j javamail/mailapi jms servlet jdbc-stdext avalon-framework junit):$PWD/build/classes
%else
export CLASSPATH=$(build-classpath log4j javamail/mailapi servlet jdbc-stdext avalon-framework junit):$PWD/build/classes
%endif
%ant -Djava.javadoc=%{_javadocdir}/java \
     -Davalon.javadoc=%{_javadocdir}/avalon-framework \
     clean jar javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/%{short_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*.jar.*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Wed Nov 08 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 1.2-3.3
- Build for PCLinuxOS 2007 and remove epoch

